/**
 * 
 */
package org.gcube.accounting.datamodel.implementations;

import org.gcube.accounting.datamodel.RawUsageRecord;
import org.gcube.common.validator.annotations.NotEmpty;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class ServiceUsageRecord extends RawUsageRecord {

	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = -4214891294699473587L;

	@NotEmpty
	public static final String CALLER_IP = "callerIP";
	@NotEmpty
	public static final String CALLER_SCOPE = "callerScope";
	@NotEmpty
	public static final String REF_HOST = "refHost";
	@NotEmpty
	public static final String REF_VM = "refVM";
	@NotEmpty
	public static final String DOMAIN = "domain";
	@NotEmpty
	public static final String INVOCATION_COUNT = "invocationCount";
	@NotEmpty
	public static final String AVERAGE_INVOCATION_COUNT = "averageInvocationTime";
	@NotEmpty
	public static final String SERVICE_CLASS = "serviceClass";
	@NotEmpty
	public static final String SERVICE_NAME = "serviceName";
	
	public ServiceUsageRecord(){
		super();
	}
}
