/**
 * 
 */
package org.gcube.accounting.datamodel.implementations;

import org.gcube.accounting.datamodel.RawUsageRecord;
import org.gcube.common.validator.annotations.NotEmpty;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class StorageUsageRecord extends RawUsageRecord {

	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = 1381025822586583326L;

	@NotEmpty
	public static final String PROVIDER_ID = "providerId";
	@NotEmpty
	public static final String OBJECT_URI = "objectURI";
	@NotEmpty
	public static final String OPERATION_TYPE = "operationType";
	@NotEmpty
	public static final String QUALIFIER = "qualifier";
	@NotEmpty
	public static final String DATA_TYPE = "dataType";
	@NotEmpty
	public static final String DATA_VOLUME = "dataVolume";
	@NotEmpty
	public static final String DATA_COUNT = "dataCount";
	@NotEmpty
	public static final String CALLER_IP = "callerIP";

	
	public StorageUsageRecord(){
		super();
	}
}
