/**
 * 
 */
package org.gcube.accounting.datamodel.implementations;

import org.gcube.accounting.datamodel.RawUsageRecord;
import org.gcube.common.validator.annotations.NotEmpty;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class TaskUsageRecord extends RawUsageRecord {

	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = -2208425042550641240L;

	@NotEmpty
	public static final String JOB_ID = "jobId";
	@NotEmpty
	public static final String REF_HOST = "refHost";
	@NotEmpty
	public static final String REF_VM = "refVM";
	@NotEmpty
	public static final String DOMAIN = "domain";
	@NotEmpty
	public static final String USAGE_START = "usageStart";
	@NotEmpty
	public static final String USAGE_END = "usageEnd";
	@NotEmpty
	public static final String USAGE_PHASE = "usagePhase";
	@NotEmpty
	public static final String INPUT_FILES_NUMBER = "inputFilesNumber";
	@NotEmpty
	public static final String INPUT_FILES_SIZE = "inputFilesSize";
	@NotEmpty
	public static final String OUTPUT_FILES_NUMBER = "outputFilesNumber";
	@NotEmpty
	public static final String OUTPUT_FILES_SIZE = "outputFilesSize";
	@NotEmpty
	public static final String OVERALL_NETWORK_IN = "overallNetworkIn";
	@NotEmpty
	public static final String OVERALL_NETWORK_OUT = "overallNetworkOut";
	@NotEmpty
	public static final String CORES = "cores";
	@NotEmpty
	public static final String PROCESSORS = "processors";
	
	
	public TaskUsageRecord(){
		super();
	}
	
}
